#ifndef GUIDEMO_BI_
#define GUIDEMO_BI_

#ifdef YAGL
	#ifdef __FB_LINUX__
		#include "yaglwrapperlinux.bi"
	#else
		#include "yaglwrapper.bi"
	#endif
#else
#ifdef MYGL
	#include "mygl.bi"
#else
	#include "fbgfx.bi"
#endif
#endif

#include "jm_gui/jm_gui.bi"

'' Options Dialog
declare Function CreateOptions_Dlg(byval owner As UI_BOX_PTR) As UI_BOX_PTR
declare Function CreateTest2_Dlg(byval owner As UI_BOX_PTR) As UI_BOX_PTR

'' Console Dialog
Declare Sub ConsoleDlg_Show()
Declare Sub ConsoleDlg_Hide()

'' Stats Dialog
Declare Sub StatsDlg_Show
Declare Sub StatsDlg_Update
Declare Sub StatsDlg_Hide

'' common gfx library interface to MyGL/YAGL/fbgfx
declare sub gfx_prepare_set_mode( )
declare function gfx_set_mode( byval w as integer, byval h as integer, byval d as integer, byval f as integer ) as integer
declare sub gfx_draw_background( byval bc as uinteger )
declare sub gfx_EnableVSync()
declare sub gfx_DisableVSync()
declare function gfx_IsVSyncEnabled() as integer
declare sub gfx_vsync()
declare sub gfx_flip()
declare function gfx_GetKeyCode() as integer
declare sub gfx_GetMouse( byref mx as integer, byref my as integer, byref mz as integer, byref mb as integer )
declare sub gfx_lock()
declare sub gfx_unlock()

#endif

