#include "jm_gui/jm_gui.bi"

dim shared gW as integer, gH as integer
dim shared gVSync as integer = 0

sub gfx_prepare_set_mode( )
end sub

function gfx_set_mode( byval w as integer, byval h as integer, byval d as integer, byval f as integer ) as integer

	#if defined(__FB_DOS__) or defined(__FB_LINUX__)

		select case w
		case 320
			Screen 13,d,2
		case 640
			Screen 18,d,2
		case 800
			Screen 19,d,2
		case 1024
			Screen 20,d,2
		end select
		if ScreenPtr = 0 then
			screen 0
			print "Unable to set mode"
			end
		end if

	#else

		ScreenRes w,h,d,1,f

	#endif

	'' FIXME: check success

	gW = w
	gH = h

	function = -1

end function

Sub gfx_draw_background( byval bc as uinteger )
	line (0,0)-(gW-1, gH-1),bc,bf
end sub

sub gfx_EnableVSync()
	gVSync = TRUE
end sub

sub gfx_DisableVSync()
	gVSync = FALSE
end sub

function gfx_IsVSyncEnabled() as integer
	function = gVSync
end function

sub gfx_VSync()
	if( gVSync ) then
		screensync
	end if
end sub

sub gfx_flip
''
end sub

sub gfx_lock()
	screenlock
end sub

sub gfx_unlock()
	screenunlock
end sub

function gfx_GetKeyCode() as integer
	function = GetKeyCode()
end function

sub gfx_GetMouse( byref mx as integer, byref my as integer, byref mw as integer, byref mb as integer )
	GetMouse mx, my, mw, mb
end sub
