#ifndef __INCLUDE_JM_FONT_FNTFILE_BI__
#define __INCLUDE_JM_FONT_FNTFILE_BI__


''  Copyright (C) 2005-2007, Jeff Marshall (coder@execulink.com)
''
''  This software is provided 'as-is', without any express or implied
''  warranty.  In no event will the authors be held liable for any damages
''  arising from the use of this software.
''
''  Permission is granted to anyone to use this software for any purpose,
''  including commercial applications, and to alter it and redistribute it
''  freely, subject to the following restrictions:
''
''  1. The origin of this software must not be misrepresented; you must not
''     claim that you wrote the original software. If you use this software
''     in a product, an acknowledgment in the product documentation would be
''     appreciated but is not required.
''  2. Altered source versions must be plainly marked as such, and must not
''     be misrepresented as being the original software.
''  3. This notice may not be removed or altered from any source 
''     distribution.


Type JM_FONT_FNT_FILE_T field = 1

	sig as integer        '' "FNT\0"
	size as integer       '' sizeof(JM_FONT_FNT_FILE_T) - 8
	fonttype as integer   '' 0 = fixed bitmap, 1 = var-bitmap
	char1 as short        '' 0
	charn as short        '' 256
	maxw as short         '' max glyph bitmap width
	maxh as short         '' max glyph bitmap height
	cax as short          '' standard glyph advance width
	cay as short          '' standard glyph advance height
	cbx as short          '' standard glyph bearing left
	cby as short          '' standard glyph bearing top
	reserved as integer   '' reserved must be 0
End Type

Type JM_FONT_FNT_CHAR_T field = 1
  
	sig as integer        '' "CHR\0"
	size as integer       '' sizeof(JM_FONT_FNT_CHAR_T) - 8
	c0 as ubyte           '' ascii character
	c1 as ubyte           '' '\0'
	c2 as ubyte           '' '\0'
	c3 as ubyte           '' '\0'
	cgx as short          '' glyph width
	cgy as short          '' glyph height
	cax as short          '' glyph advance width
	cay as short          '' glyph advance height
	cbx as short          '' glyph bearing left
	cby as short          '' glyph bearing top
	doffset as integer    '' offset from start of file to glyph data
	reserved as integer   '' reserved must be 0
End Type

Type JM_FONT_FNT_GLYPH_T field = 1

	sig as integer        '' "GLY\0"
	size as integer       '' 0
	'' char pixeldata[]   '' 
End Type

#endif
