#ifndef __INCLUDE_JM_IMAGE_H__
#define __INCLUDE_JM_IMAGE_H__

/*
''  Copyright (C) 2005-2007, Jeff Marshall (coder@execulink.com)
''
''  This software is provided 'as-is', without any express or implied
''  warranty.  In no event will the authors be held liable for any damages
''  arising from the use of this software.
''
''  Permission is granted to anyone to use this software for any purpose,
''  including commercial applications, and to alter it and redistribute it
''  freely, subject to the following restrictions:
''
''  1. The origin of this software must not be misrepresented; you must not
''     claim that you wrote the original software. If you use this software
''     in a product, an acknowledgment in the product documentation would be
''     appreciated but is not required.
''  2. Altered source versions must be plainly marked as such, and must not
''     be misrepresented as being the original software.
''  3. This notice may not be removed or altered from any source 
''     distribution.
*/

#ifndef __stdcall
#define __stdcall __attribute__((stdcall))
#endif

void __stdcall * IMAGE_Create(int w, int h, int clr, int bitdepth);
void __stdcall IMAGE_Destroy(void * img);
void __stdcall IMAGE_pset(void * img, int x, int y, int clr);
unsigned int __stdcall IMAGE_pget(void * img, int x, int y);
void __stdcall * IMAGE_LoadFile(char * filename, int bitdepth);

#endif
