#include "guidemo.bi"
#include "jm_gui/jm_gui.bi"

Dim Shared gConsole as UI_BOX_PTR = 0

private Sub Draw_Con(ByVal xx As Integer, ByVal yy As Integer)
	Dim c As UByte Ptr
	Dim As Integer x, y, w, h, hh
	c = CON_data()
	If (c) Then
		w = CON_maxcol()
		h = CON_maxrow()
		hh = FONT_GetCharAdvanceY(asc("m"))
		For y = 0 to h - 1
			FONT_DrawStringN xx, yy + y * hh, c + y * w, w, UI_GetSysColor(UI_SYSCLR_TEXT), UI_GetSysColor(UI_SYSCLR_TEXT_BACK), TRUE
		next y
	End If
End Sub

private Function ConsoleDlg_BoxProc (ByVal box As UI_BOX_PTR, ByVal msgid As Integer, ByVal msgdata As UI_MSG_DATA_T Ptr) As Integer
	Dim r As UI_RECT_T

	Select Case msgid
	Case UI_MSG_PAINT
		''UI_CallDefaultProc box, msgid, msgdata
		UI_GetScreenCoords box, @r
		UI_DrawFrame @r, UI_FRAMESTYLE_UP or UI_FRAMESTYLE_FILL or UI_FRAMESTYLE_OUTSIDE
		Draw_Con r.x + 1, r.y + 1
	Case Else
		return 1 '' Msg not processed
	End Select

End Function

private Function ConsoleDlg_Create(byval owner As UI_BOX_PTR) As UI_BOX_PTR
	Dim As UI_BOX_PTR frm
	frm = UI_CreateFrame(owner, 0, 16, 240, CON_maxcol() * FONT_GetCharAdvanceX(asc("m")) + 2, CON_maxrow() * FONT_GetCharAdvanceY(asc("m")) + 2, @ConsoleDlg_BoxProc, UI_BOX_FLAG_NORMAL or UI_BOX_FLAG_DRAG)
	UI_HideBox frm
	Function = frm
End Function

public Sub ConsoleDlg_Show()
	if gConsole = NULL then
		gConsole = ConsoleDlg_Create(NULL)		
	end if
	UI_ShowBox gConsole
End Sub

public Sub ConsoleDlg_Hide()
	if (gConsole) then
		UI_HideBox gConsole
	end if
End Sub
