#ifndef __INCLUDE_JM_STD_EDIT_BI__
#define __INCLUDE_JM_STD_EDIT_BI__

''  Copyright (C) 2005-2007, Jeff Marshall (coder@execulink.com)
''
''  This software is provided 'as-is', without any express or implied
''  warranty.  In no event will the authors be held liable for any damages
''  arising from the use of this software.
''
''  Permission is granted to anyone to use this software for any purpose,
''  including commercial applications, and to alter it and redistribute it
''  freely, subject to the following restrictions:
''
''  1. The origin of this software must not be misrepresented; you must not
''     claim that you wrote the original software. If you use this software
''     in a product, an acknowledgment in the product documentation would be
''     appreciated but is not required.
''  2. Altered source versions must be plainly marked as such, and must not
''     be misrepresented as being the original software.
''  3. This notice may not be removed or altered from any source 
''     distribution.

#include "jm_gui.bi"
#include "jm_edit_buffer.bi"

Type UI_EDIT_T
	flags as integer  ' 0 = none, 1 = multiline
	buffer as EDIT_BUFFER_T ptr
	leftindex as integer
	topindex as integer
End Type

declare Function UI_CreateEdit alias "UI_CreateEdit" (ByVal ownerbox As UI_BOX_PTR, byval id As integer, _
	byval x As Integer, byval y As Integer, byval w As Integer, byval h As Integer, _
	ByVal BoxProc As BOXPROC_FUNC_T, ByVal flags As Integer, byval strCaption As zstring ptr) As UI_BOX_PTR

declare Function UI_DefEditProc_cb alias "UI_DefEditProc_cb"  (ByVal box As UI_BOX_PTR, ByVal msgid As Integer, ByVal msgdata As UI_MSG_DATA_T Ptr) As Integer

#endif
