#ifndef __INCLUDE_JM_GUI_BI__
#define __INCLUDE_JM_GUI_BI__


''  Copyright (C) 2005-2007, Jeff Marshall (coder@execulink.com)
''
''  This software is provided 'as-is', without any express or implied
''  warranty.  In no event will the authors be held liable for any damages
''  arising from the use of this software.
''
''  Permission is granted to anyone to use this software for any purpose,
''  including commercial applications, and to alter it and redistribute it
''  freely, subject to the following restrictions:
''
''  1. The origin of this software must not be misrepresented; you must not
''     claim that you wrote the original software. If you use this software
''     in a product, an acknowledgment in the product documentation would be
''     appreciated but is not required.
''  2. Altered source versions must be plainly marked as such, and must not
''     be misrepresented as being the original software.
''  3. This notice may not be removed or altered from any source 
''     distribution.

#ifndef YAGL
#ifdef YAGL_BI_
#define YAGL
#endif
#endif

#ifdef YAGL

#inclib "jmgui_yagl"

#ifdef __FB_LINUX__
#include "yaglwrapperlinux.bi"
#else
#include "yaglwrapper.bi"
#endif
#include "jm_gui_key_yagl.bi"

#else
#ifdef MYGL

#inclib "jmgui_mygl"
#include "mygl.bi"
#include "jm_gui_key_mygl.bi"

#else

#inclib "jmgui_fbgfx"
#include "jm_gui_key_fbgfx.bi"

#endif
#endif

#include "jm_gui_base.bi"
#include "jm_image.bi"
#include "jm_font.bi"
#include "jm_con.bi"
#include "jm_boxes.bi"
#include "jm_boxes_color.bi"

#include "jm_boxes_std.bi"
#include "jm_boxes_std_edit.bi"
#include "jm_boxes_std_input.bi"
#include "jm_boxes_std_scroll.bi"

#endif
