#ifndef __INCLUDE_JM_STRING_BI__
#define __INCLUDE_JM_STRING_BI__

''  Copyright (C) 2005-2007, Jeff Marshall (coder@execulink.com)
''
''  This software is provided 'as-is', without any express or implied
''  warranty.  In no event will the authors be held liable for any damages
''  arising from the use of this software.
''
''  Permission is granted to anyone to use this software for any purpose,
''  including commercial applications, and to alter it and redistribute it
''  freely, subject to the following restrictions:
''
''  1. The origin of this software must not be misrepresented; you must not
''     claim that you wrote the original software. If you use this software
''     in a product, an acknowledgment in the product documentation would be
''     appreciated but is not required.
''  2. Altered source versions must be plainly marked as such, and must not
''     be misrepresented as being the original software.
''  3. This notice may not be removed or altered from any source 
''     distribution.

#ifndef NULL
#define NULL 0
#endif

declare function  zstr_Alloc cdecl alias "zstr_Alloc" (byval size as integer) as zstring ptr
declare function  zstr_Free cdecl alias "zstr_Free" (byval s as zstring ptr) as zstring ptr
declare function  zstr_Len cdecl alias "zstr_Len" (byval s as zstring ptr) as integer
declare function  zstr_Copy cdecl alias "zstr_Copy" (byval dst as zstring ptr, byval src as zstring ptr) as zstring ptr
declare function  zstr_CopyN cdecl alias "zstr_CopyN" (byval dst as zstring ptr, byval src as zstring ptr, byval size as integer) as zstring ptr

#ifndef	DSTR
type DSTR as ubyte ptr
#endif
declare sub       dstr_Free cdecl alias "dstr_Free" (byval p as DSTR)
declare function  dstr_AllocNew cdecl alias "dstr_AllocNew" (byval maxsize as integer) as DSTR
declare function  dstr_AllocCopyZ cdecl alias "dstr_AllocCopyZ" (byval s as zstring ptr) as DSTR
declare function  dstr_AssignZ cdecl alias "dstr_AssignZ" (byval p as DSTR, byval s as zstring ptr) as DSTR

declare sub       mstr_Copy cdecl alias "mstr_Copy"   (byval dst as any ptr, byval src as any ptr, byval bytes as integer)
declare sub       mstr_Move cdecl alias "mstr_Move"   (byval dst as any ptr, byval src as any ptr, byval bytes as integer)
declare sub       mstr_Clear cdecl alias "mstr_Clear" (byval dst as any ptr, byval bytes as integer)
declare sub       mstr_Fill cdecl alias "mstr_Fill"   (byval dst as any ptr, byval bytes as integer, byval ch as integer)
																										 
#endif

